// Header File
// Created 3/5/2005; 9:59:04 AM

//******************************************************************************
//
// file name:       BasicTypes.h
//
// author:          David Randall "Ranman" 
//                  derandall99@gmail.com
//
//******************************************************************************


#ifndef _BasicTypes
#define _BasicTypes

typedef char           int1;
typedef short          int2;
typedef long           int4;

typedef unsigned char  uint1;
typedef unsigned short uint2;
typedef unsigned long  uint4;

typedef unsigned char  bool;

#define true  1
#define false 0

typedef enum
{
	Success,
	Failed
} StatusType;

typedef struct
{
	float x;
	float y;
} fcoord;

typedef struct
{
	int1 x;
	int1 y;
} coord1;

typedef struct
{
	int2 x;
	int2 y;
} coord2;

typedef struct
{
	int4 x;
	int4 y;
} coord4;

typedef struct
{
	uint1 x;
	uint1 y;
} ucoord1;

typedef struct
{
	uint2 x;
	uint2 y;
} ucoord2;

typedef struct
{
	uint4 x;
	uint4 y;
} ucoord4;

typedef struct
{
	uint1 direction;
	uint1 distance;
} uvect1;



#endif // _BasicTypes